Bug 65364 - (NET EPIC100) Network driver fails to get link randomly
(NET EPIC100) Network driver fails to get link randomly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-22 15:20 EDT by Ted Wright
Modified: 2013-07-02 22:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ted Wright 2002-05-22 15:20:05 EDT
Description of Problem:
Ositech Jack-Of-Spades cardbus ethernet/modem card (epic100 module) does not 
auto-negotiate a link, although ifconfig (and everything else I have looked at)
indicates that the network is up. 

"mii-tool -v -v" reports:
eth0: no link
  registers for MII PHY 1:
    3100 0009 0300 e54a 0001 41e1 0002 0000
    0000 0000 0000 0000 0000 0000 0000 0000
    0140 0028 1000 0000 0000 0000 0000 0000
    0000 0000 0000 0000 0000 0000 0000 0000
  product info: TDK 78Q2120 rev 10
  basic mode:   autonegotiation enabled
  basic status: no link
  capabilities:
  advertising:
  link partner: 100baseTx-FD 100baseTx-HD 10baseT-FD 10baseT-HD

Using mii-tool to force 100 Mbit full duplex ("mii-tool -F 100baseT-FD"), a link
is established, and the network works normally for a while. After forcing a
link, "mii-tool -v -v" reports:
eth0: 100 Mbit, full duplex, link ok
  registers for MII PHY 1:
    2100 000d 0300 e54a 0001 0000 0000 0000
    0000 0000 0000 0000 0000 0000 0000 0000
    0140 0004 0e00 0000 0000 0000 0000 0000
    0000 0000 0000 0000 0000 0000 0000 0000
  product info: TDK 78Q2120 rev 10
  basic mode:   100 Mbit, full duplex
  basic status: link ok
  capabilities:
  advertising:

After some time (hours usually), the link disappears until this process is
repeated. Heavy network activity seem to trigger it also. This was reported as
bug 62314 for skipjack-beta1, but was never fixed. During the beta my Netgear
FS508 Ethernet switch would freeze (stopping traffic on everything connected to
it) when this happened, but with the 7.3 release version the switch seems OK and
only the laptop computer drops off the network.

Version-Release number of selected component (if applicable):
I've seen this problem with:
Red Hat Linux 7.3, kernel-2.4.18-4
Red Hat Linux 7.3, kernel-2.4.18-3
skipjack-beta2 (all versions)
skipjack-beta1 (after upgrading to beta kernel-2.4.18-0.8)

The following did not have this problem with the same hardware:
original skipjack-beta1 release
Red Hat Linux 6.2, 7.0, 7.1, or 7.2 (all previous 7.x releases automatically
detected and configured this hardware).

How Reproducible:
100%. 
The link is not established on boot. Forcing it makes it work for a random
amount of time. Then it stops.
Comment 1 Ted Wright 2002-06-03 11:34:28 EDT
After further digging through the network initialization scripts, I have found
that a link _IS_ established when the computer boots, but it disappears when the
network service is started. 

Before the network service is started, "mii-tool -v" reports:
eth0: negotiated 100baseTx-FD, link ok
  product info: TDK 78Q2120 rev 10
  basic mode:   autonegotiation enabled
  basic status: autonegotiation complete, link ok
  capabilities: 100baseTx-FD 100baseTx-HD 10baseT-FD 10baseT-HD
  advertising:  100baseTx-FD 100baseTx-HD 10baseT-FD 10baseT-HD
  link partner: 100baseTx-FD 100baseTx-HD 10baseT-FD 10baseT-HD

After "ip link set eth0 up" is run when starting the network service, "mii-tool
-v" reports:
eth0: no link
  product info: TDK 78Q2120 rev 10
  basic mode:   autonegotiation enabled
  basic status: no link
  capabilities:
  advertising:
  link partner: 100baseTx-FD 100baseTx-HD 10baseT-FD 10baseT-HD
Comment 2 Arjan van de Ven 2002-06-03 14:48:50 EDT
Have you tried using ethtool to restart autonegotiation?
Comment 3 Ted Wright 2002-06-03 15:09:30 EDT
I had not tried that until now; "ethtool -r eth0" says:
Cannot restart autonegotiation: Operation not supported
Comment 4 Ted Wright 2002-07-08 15:23:52 EDT
I've tried some more things to make this work, but without success. The two
kernel upgrades for Red Hat 7.3 have not made a difference, and the same symptom
are present with the Red Hat 7.3.92 beta version. In retrospect:

Red Hat 7.0 works perfectly (card is automatically detected and configured)
Red Hat 7.1 works perfectly 
Red Hat 7.2 works perfectly 
Red Hat skipjack beta1 (original kernel) works perfectly 
Red Hat skipjack beta1 (beta kernel-2.4.18-0.8 installed through up2date) fails
Red Hat skipjack beta2 fails
Red Hat 7.3 (all released kernels) fails
Red Hat 7.3.92 (limbo) fails
Comment 5 Ted Wright 2002-07-08 15:27:37 EDT
One new symptom appeared in testing Red Hat 7.3.92, I get a message in
/var/log/messages every 15-20 seconds after boot until I force a link with
"mii-tool -F 100baseTx-FD" that looks like:
...
Jul  8 17:18:24 segui kernel: eth0: Setting full-duplex based on MII #1 link
partner capability of 41e1.
Jul  8 17:18:39 segui kernel: eth0: Setting half-duplex based on MII #1 link
partner capability of 0000.
Jul  8 17:18:54 segui kernel: eth0: Setting full-duplex based on MII #1 link
partner capability of 01e1.
...
Comment 6 Ted Wright 2002-07-09 10:02:52 EDT
More symptoms: running "mii-tool -v" several times in a row randomly alternates
bewteen two different results. Sometimes is says:
eth0: no link
  product info: TDK 78Q2120 rev 10
  basic mode:   autonegotiation enabled
  basic status: no link
  capabilities:
  advertising:
and other times it says:
eth0: no link
  product info: TDK 78Q2120 rev 10
  basic mode:   autonegotiation enabled
  basic status: no link
  capabilities:
  advertising:
  link partner: 100baseTx-FD 100baseTx-HD 10baseT-FD 10baseT-HD
I've tried this with several different (identical) Ositech Jack of Spades
network cards plugged into two different switches, and the link partner status
seems to fluctuate randomly in all cases.
Comment 7 Bugzilla owner 2004-09-30 11:39:37 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.